# Dublin test model 1

Experiments for Dublin test model 1 (DTM1) to validate PETGEM responses. This 3D MT model was introduced by  [Miensopust et al. (2013)](https://doi.org/10.1093/gji/ggt066). We compare PETGEM to the synthetic solutions by [Nam et al. (2007)](https://doi.org/10.1111/j.1365-2478.2007.00614.x)

# meshes
The materials tags in meshes are:

- rho 1: tag 1
- rho 2: tag 2
- rho 2: tag 3
- rho earth: tag 4
- rho air: tag 5

The meshes folder is organized as follows:

## experiments of paper's section 3.2
The naming convention for all files is period_{i}.msh for i in {1,2,3,...,19,20,21}. This folder contains the following mesh files:

- period_1.msh
- period_2.msh
- period_3.msh
- period_4.msh
- period_5.msh
- period_6.msh
- period_7.msh
- period_8.msh
- period_9.msh
- period_10.msh
- period_11.msh
- period_12.msh
- period_13.msh
- period_14.msh
- period_15.msh
- period_16.msh
- period_17.msh
- period_18.msh
- period_19.msh
- period_20.msh
- period_21.msh

# results
Here we include the electromagnetic responses (apparent resistivities and phases) for modes `xx`, `xy`, `yx`, `yy`. The format file is `h5`. We provide the `import_responses.py` script to load all data into a Python shell.
