import numpy as np
import h5py

# The file structure is the following:
#   ├── periods
#   ├── apparent_res_{mode}
#   |   ├── p1
#   |   ├── p2
#   |   ├── p3
#   |   ├── p4
#   |   ├── p4
#   |   └── p6
#   ├── phase_{mode}
#   |   ├── p1
#   |   ├── p2
#   |   ├── p3
#   |   ├── p4
#   |   ├── p5
#       └── p6
#
# for mode in {xx, xy, yx, yy}

# Open file
f = h5py.File('results/data.h5', 'r')

# Load periods
periods = f['periods/'][:].astype(np.float)

# To load the apparent resistivity for xx mode and p1 you need to type:
appa_xx_p1 = f['apparent_res_xx/p1/'][:]       # load the data

# To load the phase for xx mode and p1 you need to type:
phase_xx_p1 = f['phase_xx/p1/'][:]       # load the data

# To load the apparent resistivity for xy mode and p2 you need to type:
appa_xx_p1 = f['apparent_res_xy/p2/'][:]       # load the data

# To load the phase for xy mode and p2 you need to type:
phase_xx_p1 = f['phase_xy/p2/'][:]       # load the data

f.close()
